Skip to main content
GET
/
env-diff
/
{org}
Get environment diff
curl --request GET \
  --url https://app.kosli.com/api/v2/env-diff/{org} \
  --header 'Authorization: Bearer <token>'
{
  "snappish1": {
    "artifacts": [
      {
        "fingerprint": "<string>",
        "name": "<string>",
        "most_recent_timestamp": 123,
        "flow": "<string>",
        "commit_url": "<string>",
        "instance_count": 123,
        "s1_instance_count": 123,
        "s2_instance_count": 123,
        "pods": [
          "<string>"
        ]
      }
    ],
    "snapshot_id": "<string>"
  },
  "snappish2": {
    "artifacts": [
      {
        "fingerprint": "<string>",
        "name": "<string>",
        "most_recent_timestamp": 123,
        "flow": "<string>",
        "commit_url": "<string>",
        "instance_count": 123,
        "s1_instance_count": 123,
        "s2_instance_count": 123,
        "pods": [
          "<string>"
        ]
      }
    ],
    "snapshot_id": "<string>"
  },
  "changed": {
    "artifacts": [
      {
        "fingerprint": "<string>",
        "name": "<string>",
        "most_recent_timestamp": 123,
        "flow": "<string>",
        "commit_url": "<string>",
        "instance_count": 123,
        "s1_instance_count": 123,
        "s2_instance_count": 123,
        "pods": [
          "<string>"
        ]
      }
    ],
    "snapshot_id": "<string>"
  },
  "not-changed": {
    "artifacts": [
      {
        "fingerprint": "<string>",
        "name": "<string>",
        "most_recent_timestamp": 123,
        "flow": "<string>",
        "commit_url": "<string>",
        "instance_count": 123,
        "s1_instance_count": 123,
        "s2_instance_count": 123,
        "pods": [
          "<string>"
        ]
      }
    ],
    "snapshot_id": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Query Parameters

snappish1
string | null
required

Expression to specify the snapshot 1 for comparison. Must contain environment name. Add '#N' to specify exact snapshot number N. Add 'N' to get N-th behind the latest snapshot. Examples: staging, staging#10, staging2

snappish2
string | null
required

Expression to specify the snapshot 2 for comparison. Must contain environment name. Add '#N' to specify exact snapshot number N. 'Add 'N' to get N-th behind the latest snapshot. Examples: staging, staging#10, staging2

Response

Successful Response

snappish1
DiffItem · object
required
snappish2
DiffItem · object
required
changed
DiffItem · object
required
not-changed
DiffItem · object
required
Last modified on April 9, 2026